commit 7de0cc90a3bd7145a5160729fddc72a9aa46d330
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Feb 21 18:04:04 2019 +0100

    All preprocessor directives without arguments (e.g. #endif) are now followed by a comment, indicating where it belongs to (e.g. the preceding #if).

diff --git a/core/inc/aos_confcheck.h b/core/inc/aos_confcheck.h
index 70451f6..5f9f5f1 100644
--- a/core/inc/aos_confcheck.h
+++ b/core/inc/aos_confcheck.h
@@ -43,90 +43,90 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /* kernel parameters and options */
 
-#ifndef AMIROOS_CFG_DBG
+#if !defined(AMIROOS_CFG_DBG)
   #error "AMIROOS_CFG_DBG not defined in aosconf.h"
-#endif
+#endif /* !defined(AMIROOS_CFG_DBG) */
 
-#ifndef AMIROOS_CFG_TESTS_ENABLE
+#if !defined(AMIROOS_CFG_TESTS_ENABLE)
   #error "AMIROOS_CFG_TESTS_ENABLE not defined in aosconf.h"
-#endif
+#endif /* !defined(AMIROOS_CFG_TESTS_ENABLE) */
 
-#ifndef AMIROOS_CFG_PROFILE
+#if !defined(AMIROOS_CFG_PROFILE)
   #error "AMIROOS_CFG_PROFILE not defined in aosconf.h"
-#endif
+#endif /* !defined(AMIROOS_CFG_PROFILE) */
 
-#ifndef AMIROOS_CFG_MAIN_LOOP_TIMEOUT
+#if !defined(AMIROOS_CFG_MAIN_LOOP_TIMEOUT)
   #error "AMIROOS_CFG_MAIN_LOOP_TIMEOUT not defined in aosconf.h"
-#endif
+#endif /* !defined(AMIROOS_CFG_MAIN_LOOP_TIMEOUT) */
 
 /* SSSP parameters and options */
 
-#ifndef AMIROOS_CFG_SSSP_ENABLE
+#if !defined(AMIROOS_CFG_SSSP_ENABLE)
   #error "AMIROOS_CFG_SSSP_ENABLE not defined in aosconf.h"
-#endif
+#endif /* !defined(AMIROOS_CFG_SSSP_ENABLE) */
 
 # if (AMIROOS_CFG_SSSP_ENABLE == true)
 
-  #ifndef AMIROOS_CFG_SSSP_MASTER
+  #if !defined(AMIROOS_CFG_SSSP_MASTER)
     #error "AMIROOS_CFG_SSSP_MASTER not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SSSP_MASTER) */
 
-  #ifndef AMIROOS_CFG_SSSP_STACK_START
+  #if !defined(AMIROOS_CFG_SSSP_STACK_START)
     #error "AMIROOS_CFG_SSSP_STACK_START not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SSSP_STACK_START) */
 
-  #ifndef AMIROOS_CFG_SSSP_STACK_END
+  #if !defined(AMIROOS_CFG_SSSP_STACK_END)
     #error "AMIROOS_CFG_SSSP_STACK_END not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SSSP_STACK_END) */
 
   #if (AMIROOS_CFG_SSSP_STACK_START == true) && (AMIROOS_CFG_SSSP_STACK_END == true)
     #warning "AMIROOS_CFG_SSSP_STACK_START and AMIROOS_CFG_SSSP_STACK_END both enabled in aosconf.h"
     #if (AMIROOS_CFG_SSSP_MASTER != true)
       #error "AMIROOS_CFG_SSSP_MASTER must be enabled in this case"
-    #endif
-  #endif
+    #endif /* (AMIROOS_CFG_SSSP_MASTER != true) */
+  #endif /* (AMIROOS_CFG_SSSP_STACK_START == true) && (AMIROOS_CFG_SSSP_STACK_END == true) */
 
-  #ifndef AMIROOS_CFG_SSSP_SIGNALDELAY
+  #if !defined(AMIROOS_CFG_SSSP_SIGNALDELAY)
     #error "AMIROOS_CFG_SSSP_SIGNALDELAY not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SSSP_SIGNALDELAY) */
 
-  #ifndef AMIROOS_CFG_SSSP_SYSSYNCPERIOD
+  #if !defined(AMIROOS_CFG_SSSP_SYSSYNCPERIOD)
     #error "AMIROOS_CFG_SSSP_SYSSYNCPERIOD not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SSSP_SYSSYNCPERIOD) */
 
-#endif
+#endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
 
 /* system shell options */
 
-#ifndef AMIROOS_CFG_SHELL_ENABLE
+#if !defined(AMIROOS_CFG_SHELL_ENABLE)
   #error "AMIROOS_CFG_SHELL_ENABLE not defined in aosconf.h"
-#endif
+#endif /* !defined(AMIROOS_CFG_SHELL_ENABLE) */
 
 #if (AMIROOS_CFG_SHELL_ENABLE == true)
 
-  #ifndef AMIROOS_CFG_SHELL_STACKSIZE
+  #if !defined(AMIROOS_CFG_SHELL_STACKSIZE)
     #error "AMIROOS_CFG_SHELL_STACKSIZE not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SHELL_STACKSIZE) */
 
-  #ifndef AMIROOS_CFG_SHELL_THREADPRIO
+  #if !defined(AMIROOS_CFG_SHELL_THREADPRIO)
     #error "AMIROOS_CFG_SHELL_THREADPRIO not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SHELL_THREADPRIO) */
 
-  #ifndef AMIROOS_CFG_SHELL_LINEWIDTH
+  #if !defined(AMIROOS_CFG_SHELL_LINEWIDTH)
     #error "AMIROOS_CFG_SHELL_LINEWIDTH not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SHELL_LINEWIDTH) */
 
-  #ifndef AMIROOS_CFG_SHELL_MAXARGS
+  #if !defined(AMIROOS_CFG_SHELL_MAXARGS)
     #error "AMIROOS_CFG_SHELL_MAXARGS not defined in aosconf.h"
-  #endif
+  #endif /* !defined(AMIROOS_CFG_SHELL_MAXARGS) */
 
-#else /* AMIROOS_CFG_SHELL_ENABLE == false */
+#else /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
   #if (AMIROOS_CFG_TESTS_ENABLE == true)
     #pragma message "AMiRo-OS shell enabled implicitely via AMIROOS_CFG_TESTS_ENABLE"
-  #endif
+  #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
-#endif /* AMIROOS_CFG_SHELL_ENABLE */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /******************************************************************************/
 /* DATA STRUCTURES AND TYPES                                                  */
diff --git a/core/inc/aos_debug.h b/core/inc/aos_debug.h
index dd55c7a..b994f85 100644
--- a/core/inc/aos_debug.h
+++ b/core/inc/aos_debug.h
@@ -98,7 +98,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
   }                                                                           \
 }
 
-#else /* (AMIROOS_CFG_DBG != true) */
+#else /* (AMIROOS_CFG_DBG == true) */
 
 #define aosDbgPrintf(fmt, ...) {                          \
   (void)(fmt);                                            \
@@ -117,7 +117,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
   (void)(r);                                              \
 }
 
-#endif /* AMIROOS_CFG_DBG */
+#endif /* (AMIROOS_CFG_DBG == true) */
 
 /******************************************************************************/
 /* EXTERN DECLARATIONS                                                        */
diff --git a/core/inc/aos_iostream.h b/core/inc/aos_iostream.h
index 9e65adc..4f72d9c 100644
--- a/core/inc/aos_iostream.h
+++ b/core/inc/aos_iostream.h
@@ -142,9 +142,9 @@ typedef struct aos_ostream {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   void aosIOStreamInit(AosIOStream* stream);
   void aosIOChannelInit(AosIOChannel* channel, BaseAsynchronousChannel* asyncchannel);
   void aosIOStreamAddChannel(AosIOStream* stream, AosIOChannel* channel);
@@ -153,9 +153,9 @@ extern "C" {
   void aosIOChannelInputDisable(AosIOChannel* channel);
   void aosIOChannelOutputEnable(AosIOChannel* channel);
   void aosIOChannelOutputDisable(AosIOChannel* channel);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/core/inc/aos_shell.h b/core/inc/aos_shell.h
index 34675f0..a2d8f5b 100644
--- a/core/inc/aos_shell.h
+++ b/core/inc/aos_shell.h
@@ -367,9 +367,9 @@ typedef struct aos_shell {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   void aosShellInit(aos_shell_t* shell, event_source_t* oseventsource, const char* prompt, char* line, size_t linesize, char** arglist, size_t arglistsize);
   void aosShellStreamInit(AosShellStream* stream);
   void aosShellChannelInit(AosShellChannel* channel, BaseAsynchronousChannel* asyncchannel);
@@ -383,9 +383,9 @@ extern "C" {
   void aosShellChannelOutputEnable(AosShellChannel* channel);
   void aosShellChannelOutputDisable(AosShellChannel* channel);
   THD_FUNCTION(aosShellThread, shell);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/core/inc/aos_system.h b/core/inc/aos_system.h
index af6e0f8..dab3c8e 100644
--- a/core/inc/aos_system.h
+++ b/core/inc/aos_system.h
@@ -82,7 +82,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #define AOS_SYSTEM_SSSP_TIMEOUT                 (10 * AMIROOS_CFG_SSSP_SIGNALDELAY)
 
-#endif /* AMIROOS_CFG_SSSP_ENABLE == true */
+#endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
 
 /******************************************************************************/
 /* SETTINGS                                                                   */
@@ -137,7 +137,7 @@ typedef enum aos_ssspstage {
  */
 typedef uint16_t aos_ssspmoduleid_t;
 
-#endif /* AMIROOS_CFG_SSSP_ENABLE == true */
+#endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
 
 /**
  * @brief   AMiRo-OS base system structure.
@@ -160,7 +160,7 @@ typedef struct aos_system {
      */
     aos_ssspmoduleid_t moduleId;
   } sssp;
-#endif /* AMIROOS_CFG_SSSP_ENABLE == true */
+#endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
 
   /**
    * @brief   System I/O stream.
@@ -184,11 +184,13 @@ typedef struct aos_system {
   } events;
 
 #if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
   /**
    * @brief   Pointer to the shell object.
    */
   aos_shell_t shell;
-#endif
+
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 } aos_system_t;
 
@@ -212,30 +214,30 @@ typedef struct aos_system {
  */
 extern aos_system_t aos;
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
 #if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
   void aosSysInit(const char* shellPrompt);
-#else
+#else /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
   void aosSysInit(void);
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
   void aosSysStart(void);
 #if (AMIROOS_CFG_SSSP_ENABLE == true) || defined (__DOXYGEN__)
   eventmask_t aosSysSsspStartupOsInitSyncCheck(event_listener_t* syncEvtListener);
-#endif
+#endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
   void aosSysGetUptimeX(aos_timestamp_t* ut);
 #if (HAL_USE_RTC == TRUE)
   void aosSysGetDateTime(struct tm* dt);
   void aosSysSetDateTime(struct tm* dt);
-#endif /* HAL_USE_RTC == TRUE */
+#endif /* (HAL_USE_RTC == TRUE) */
   void aosSysShutdownInit(aos_shutdown_t shutdown);
   void aosSysStop(void);
   void aosSysDeinit(void);
   void aosSysShutdownFinal(aos_shutdown_t shutdown);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/core/inc/aos_thread.h b/core/inc/aos_thread.h
index 182e75d..4a1946d 100644
--- a/core/inc/aos_thread.h
+++ b/core/inc/aos_thread.h
@@ -118,16 +118,16 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(_cplusplus) */
   void aosThdSleepUntilS(const aos_timestamp_t t);
 #if (AMIROOS_CFG_DBG == true) && (CH_DBG_FILL_THREADS == TRUE)
   size_t aosThdGetStackPeakUtilization(thread_t* thread);
-#endif
-#ifdef __cplusplus
+#endif /* (AMIROOS_CFG_DBG == true) && (CH_DBG_FILL_THREADS == TRUE) */
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(_cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
@@ -292,7 +292,7 @@ inline size_t aosThdGetStacksize(thread_t* thread)
          ((size_t)PORT_GUARD_PAGE_SIZE + sizeof(struct port_intctx) + sizeof(struct port_extctx) + (size_t)PORT_INT_REQUIRED_STACK);
 }
 
-#endif /* AMIROOS_CFG_DBG == true */
+#endif /* (AMIROOS_CFG_DBG == true) */
 
 #endif /* AMIROOS_THREAD_H */
 
diff --git a/core/inc/aos_time.h b/core/inc/aos_time.h
index 7d40c93..399a46d 100644
--- a/core/inc/aos_time.h
+++ b/core/inc/aos_time.h
@@ -236,13 +236,13 @@ typedef aos_timestamp_t aos_longinterval_t;
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   uint8_t aosTimeDayOfWeekFromDate(const uint16_t day, const uint8_t month, const uint16_t year);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/core/inc/aos_timer.h b/core/inc/aos_timer.h
index 4a5f33a..c4544e6 100644
--- a/core/inc/aos_timer.h
+++ b/core/inc/aos_timer.h
@@ -123,9 +123,9 @@ typedef struct aos_periodictimer {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   void aosTimerInit(aos_timer_t* timer);
   void aosTimerSetAbsoluteI(aos_timer_t* timer, aos_timestamp_t* uptime, vtfunc_t cb, void* par);
   void aosTimerSetIntervalI(aos_timer_t* timer, aos_interval_t offset, vtfunc_t cb, void* par);
@@ -133,9 +133,9 @@ extern "C" {
   void aosPeriodicTimerInit(aos_periodictimer_t* ptimer);
   void aosPeriodicTimerSetI(aos_periodictimer_t* ptimer, aos_interval_t interval, vtfunc_t cb, void* par);
   void aosPeriodicTimerSetLongI(aos_periodictimer_t* ptimer, aos_longinterval_t* interval, vtfunc_t cb, void* par);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/core/inc/aos_unittest.h b/core/inc/aos_unittest.h
index 6643609..a3e7631 100644
--- a/core/inc/aos_unittest.h
+++ b/core/inc/aos_unittest.h
@@ -117,9 +117,9 @@ struct aos_unittest {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   uint32_t aosUtResultTotal(aos_utresult_t* result);
   float aosUtResultRatio(aos_utresult_t* result);
   void aosUtResultPrintSummary(BaseSequentialStream* stream, aos_utresult_t* result, char* heading);
@@ -130,15 +130,15 @@ extern "C" {
   void aosUtFailed(BaseSequentialStream* stream, aos_utresult_t* result);
   void aosUtFailedMsg(BaseSequentialStream* stream, aos_utresult_t* result, const char* fmt, ...);
   void aosUtInfoMsg(BaseSequentialStream* stream, const char* fmt, ...);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
 /******************************************************************************/
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 #endif /* AMIROOS_UNITTEST_H */
 
